#pragma once

#include "GeometryNode.h"

class PolygonNode : public GeometryNode
{
public:
	PolygonNode(const Transform& t = {});

	virtual ~PolygonNode();

	Type getType() override;

	void setPoints(const std::vector<Point>& points);

private:
	void createOrUpdateGeometry(SceneInfo* sceneInfo) override;
	std::vector<Point> mPoints;
};